# Class: fulljavastackwithtomcat:tomcat
# ===========================
# Installs Tomcat Server
#
# Authors
# -------
# Sudheer Veeravalli <veersudhir83@gmail.com>
#
# Copyright
# ---------
# Copyright 2017 Sudheer Veeravalli

class fulljavastackwithtomcat::tomcat {

  if $facts['osfamily'] == 'Debian' {

    group { 'tomcat':
      name     =>'tomcat',
      ensure   => present,
    }

    user { 'tomcat':
      name     =>'tomcat',
      ensure   => present,
      groups   => 'tomcat',
      require  => Group['tomcat'],
      notify   => Exec['getTomcat'],
    }

    exec { 'getTomcat':
      path     => '/bin:/usr/sbin:/usr/bin:/sbin',
      command  => 'wget http://www-eu.apache.org/dist/tomcat/tomcat-8/v8.0.46/bin/apache-tomcat-8.0.46.tar.gz',
      cwd      => '/tmp',
      notify   => Exec['extractTomcat'],
    }

    exec { 'extractTomcat':
      path     => '/bin:/usr/sbin:/usr/bin:/sbin',
      cwd      => '/tmp',
      command  => 'mkdir -p /opt/tomcat && tar xvf apache-tomcat-8*tar.gz -C /opt/tomcat --strip-components=1',
    }

    exec { 'startTomcat':
      path     => '/bin:/usr/sbin:/usr/bin:/sbin',
      require  => [ Exec['extractTomcat'], User['tomcat'] ] ,
      command  => 'chgrp -R tomcat /opt/tomcat && /opt/tomcat/bin/startup.sh',
      cwd      => '/opt/tomcat/bin',
    }
  }
}
